/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"gbview.h"

int
check_error_time(RESOURCE * r)
{
int span;
	if ( r->h.incremental_status != RS_ERROR )
		return -1;
	span = get_xltime() - r->h.error_time;
	if ( span > r->h.error_expire ) {
printf("check *** \n");
		r->h.error_expire <<= 1;
		if ( r->h.error_expire > 0x10000 )
			r->h.error_expire = 0x10000;
		return 0;
	}
	return -1;
}